Bug 251024 - gnome-keyboard-properties default layout setting is confusing
gnome-keyboard-properties default layout setting is confusing
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 11:53 EDT by Stepan Kasal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 14:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 466711 None None None Never

  None (edit)
Description Stepan Kasal 2007-08-06 11:53:18 EDT
In gnome-keyboard-properties, tab Layouts, there are two different mechanisms to
set the default layout, depending on the "Separate group for each window" option:
- if it is on, the default can be selected by the radio buttons in the default
column
- if it is off, the default is simply the first one.

So we have two styles for the same thing, which can be confusing.

Most importantly, this is not mentioned in the help!
(Thus I had to spend some time experimenting before I found out how it works.)

Some facts which contribute to the confusion:
- there are checkboxes which in fact work as radio buttons
- when inactive, these checkboxes are shaded, but the shaded frame is hard to notice
- when a layout is selected, the checkbox is not shaded, even though it cannot
be changed
Comment 1 Ray Strode [halfline] 2007-08-06 12:57:03 EDT
Hey, would you mind filing this upstream?
Comment 2 Ray Strode [halfline] 2007-08-14 14:32:56 EDT
Filed bug 466711 upstream at bugzilla.gnome.org
Comment 3 Ray Strode [halfline] 2007-08-14 16:39:59 EDT
Hi Stepan,

bug 466711 was closed with the following response:

You got it actually wrong. If none of the layouts is the default one, there is
no default layout. Let me explain.

First of all, default layout only works when you have 'separate layout per each
window' checked (otherwise these radios are disabled).

Suppose, you have layouts 'us' and 'ru'.
First scenario: you have default 'us'. It means when you create new window (any
window), it has layout 'us', regardless of what was your layout a millisecond
ago. Same thing if you have default layout 'ru' - it would be the layout for
any new window. Sure you can switch layouts as usual.

If there is NO default layout, new window gets whatever was the layout
millisecond ago. It just uses the current layout - no layout switching is
performed. 

May be, it is incorrectly explained in the docs - but that how it is supposed
to work.
Comment 4 Stepan Kasal 2007-08-15 12:19:05 EDT
Hello Ray,
sorry for the delay, and thank you for pushing this upstream; I comment there.

Note You need to log in before you can comment on or make changes to this bug.